<html>
<head>
<title>OGRE: Ogre::MaterialScriptContext Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1MaterialScriptContext.html">MaterialScriptContext</a></div>
<h1>Ogre::MaterialScriptContext Struct Reference</h1><!-- doxytag: class="Ogre::MaterialScriptContext" -->Struct for holding the script context while parsing.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1MaterialScriptContext-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#83c5c9e6cd44a657c97dd7494800676c">MaterialScriptSection</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#d40690e3e1f21dd8dcfa844eaa905bd5">section</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#2faaff5fc2f2076677693f6076374ea5">groupName</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#74312b6a7b96872915da5f6ec8541f37">material</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#03a912b72b369693e36167459bda916d">technique</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Pass.html">Pass</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#95d825983c923b6dcd7dfd7665486578">pass</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#dd408689df9b6e92b2e27a4f60fc4b50">textureUnit</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1GpuProgramPtr.html">GpuProgramPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#850fb30625648afc080c4d9260c256f6">program</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#268da8c242ace7f54343640cd5675308">isProgramShadowCaster</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#ea3c8c3bfc642b51b2e491f978acc7e1">isVertexProgramShadowReceiver</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#23f6f4cb57e74ef76b4779887e2d4a99">isFragmentProgramShadowReceiver</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#40b6666c05a0603b3fb92cdac9e92e3c">programParams</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#735dfeecb720e45e7e59716b5e48a4e6">numAnimationParametrics</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html">MaterialScriptProgramDefinition</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#2dfe774e6ce488e92e615fb17bba9e07">programDef</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#0d561091772b7bdd98c89cf3e469d078">techLev</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#9d9306c507a66909313bc2153f57265b">passLev</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#f315446811bd4d226027fea8689b6dd0">stateLev</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#cfa11da8b33a1fd4c07527bbb3d17772">defaultParamLines</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#c5d56f2bd830b49be1f22d86ac8fb7e0">lineNo</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#d89800f3f468929055abc5e2bafc0d4d">filename</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#5dafc9e68bde8099ec5ad6c94e4cf19b">AliasTextureNamePairList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html#3c2c6c2dca3a9d723be0c0a36113c3ab">textureAliases</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Struct for holding the script context while parsing. 
<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00069">69</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="d40690e3e1f21dd8dcfa844eaa905bd5"></a><!-- doxytag: member="Ogre::MaterialScriptContext::section" ref="d40690e3e1f21dd8dcfa844eaa905bd5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#83c5c9e6cd44a657c97dd7494800676c">MaterialScriptSection</a> <a class="el" href="structOgre_1_1MaterialScriptContext.html#d40690e3e1f21dd8dcfa844eaa905bd5">Ogre::MaterialScriptContext::section</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00071">71</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2faaff5fc2f2076677693f6076374ea5"></a><!-- doxytag: member="Ogre::MaterialScriptContext::groupName" ref="2faaff5fc2f2076677693f6076374ea5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1MaterialScriptContext.html#2faaff5fc2f2076677693f6076374ea5">Ogre::MaterialScriptContext::groupName</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00072">72</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="74312b6a7b96872915da5f6ec8541f37"></a><!-- doxytag: member="Ogre::MaterialScriptContext::material" ref="74312b6a7b96872915da5f6ec8541f37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> <a class="el" href="structOgre_1_1MaterialScriptContext.html#74312b6a7b96872915da5f6ec8541f37">Ogre::MaterialScriptContext::material</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00073">73</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="03a912b72b369693e36167459bda916d"></a><!-- doxytag: member="Ogre::MaterialScriptContext::technique" ref="03a912b72b369693e36167459bda916d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Technique.html">Technique</a>* <a class="el" href="structOgre_1_1MaterialScriptContext.html#03a912b72b369693e36167459bda916d">Ogre::MaterialScriptContext::technique</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00074">74</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="95d825983c923b6dcd7dfd7665486578"></a><!-- doxytag: member="Ogre::MaterialScriptContext::pass" ref="95d825983c923b6dcd7dfd7665486578" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Pass.html">Pass</a>* <a class="el" href="structOgre_1_1MaterialScriptContext.html#95d825983c923b6dcd7dfd7665486578">Ogre::MaterialScriptContext::pass</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00075">75</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="dd408689df9b6e92b2e27a4f60fc4b50"></a><!-- doxytag: member="Ogre::MaterialScriptContext::textureUnit" ref="dd408689df9b6e92b2e27a4f60fc4b50" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a>* <a class="el" href="structOgre_1_1MaterialScriptContext.html#dd408689df9b6e92b2e27a4f60fc4b50">Ogre::MaterialScriptContext::textureUnit</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00076">76</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="850fb30625648afc080c4d9260c256f6"></a><!-- doxytag: member="Ogre::MaterialScriptContext::program" ref="850fb30625648afc080c4d9260c256f6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GpuProgramPtr.html">GpuProgramPtr</a> <a class="el" href="structOgre_1_1MaterialScriptContext.html#850fb30625648afc080c4d9260c256f6">Ogre::MaterialScriptContext::program</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00077">77</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="268da8c242ace7f54343640cd5675308"></a><!-- doxytag: member="Ogre::MaterialScriptContext::isProgramShadowCaster" ref="268da8c242ace7f54343640cd5675308" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MaterialScriptContext.html#268da8c242ace7f54343640cd5675308">Ogre::MaterialScriptContext::isProgramShadowCaster</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00078">78</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ea3c8c3bfc642b51b2e491f978acc7e1"></a><!-- doxytag: member="Ogre::MaterialScriptContext::isVertexProgramShadowReceiver" ref="ea3c8c3bfc642b51b2e491f978acc7e1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MaterialScriptContext.html#ea3c8c3bfc642b51b2e491f978acc7e1">Ogre::MaterialScriptContext::isVertexProgramShadowReceiver</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00079">79</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="23f6f4cb57e74ef76b4779887e2d4a99"></a><!-- doxytag: member="Ogre::MaterialScriptContext::isFragmentProgramShadowReceiver" ref="23f6f4cb57e74ef76b4779887e2d4a99" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1MaterialScriptContext.html#23f6f4cb57e74ef76b4779887e2d4a99">Ogre::MaterialScriptContext::isFragmentProgramShadowReceiver</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00080">80</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="40b6666c05a0603b3fb92cdac9e92e3c"></a><!-- doxytag: member="Ogre::MaterialScriptContext::programParams" ref="40b6666c05a0603b3fb92cdac9e92e3c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a> <a class="el" href="structOgre_1_1MaterialScriptContext.html#40b6666c05a0603b3fb92cdac9e92e3c">Ogre::MaterialScriptContext::programParams</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00081">81</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="735dfeecb720e45e7e59716b5e48a4e6"></a><!-- doxytag: member="Ogre::MaterialScriptContext::numAnimationParametrics" ref="735dfeecb720e45e7e59716b5e48a4e6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="structOgre_1_1MaterialScriptContext.html#735dfeecb720e45e7e59716b5e48a4e6">Ogre::MaterialScriptContext::numAnimationParametrics</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00082">82</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2dfe774e6ce488e92e615fb17bba9e07"></a><!-- doxytag: member="Ogre::MaterialScriptContext::programDef" ref="2dfe774e6ce488e92e615fb17bba9e07" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html">MaterialScriptProgramDefinition</a>* <a class="el" href="structOgre_1_1MaterialScriptContext.html#2dfe774e6ce488e92e615fb17bba9e07">Ogre::MaterialScriptContext::programDef</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00083">83</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0d561091772b7bdd98c89cf3e469d078"></a><!-- doxytag: member="Ogre::MaterialScriptContext::techLev" ref="0d561091772b7bdd98c89cf3e469d078" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1MaterialScriptContext.html#0d561091772b7bdd98c89cf3e469d078">Ogre::MaterialScriptContext::techLev</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00085">85</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9d9306c507a66909313bc2153f57265b"></a><!-- doxytag: member="Ogre::MaterialScriptContext::passLev" ref="9d9306c507a66909313bc2153f57265b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1MaterialScriptContext.html#9d9306c507a66909313bc2153f57265b">Ogre::MaterialScriptContext::passLev</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00085">85</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f315446811bd4d226027fea8689b6dd0"></a><!-- doxytag: member="Ogre::MaterialScriptContext::stateLev" ref="f315446811bd4d226027fea8689b6dd0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1MaterialScriptContext.html#f315446811bd4d226027fea8689b6dd0">Ogre::MaterialScriptContext::stateLev</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00085">85</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cfa11da8b33a1fd4c07527bbb3d17772"></a><!-- doxytag: member="Ogre::MaterialScriptContext::defaultParamLines" ref="cfa11da8b33a1fd4c07527bbb3d17772" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a> <a class="el" href="structOgre_1_1MaterialScriptContext.html#cfa11da8b33a1fd4c07527bbb3d17772">Ogre::MaterialScriptContext::defaultParamLines</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00088">88</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c5d56f2bd830b49be1f22d86ac8fb7e0"></a><!-- doxytag: member="Ogre::MaterialScriptContext::lineNo" ref="c5d56f2bd830b49be1f22d86ac8fb7e0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1MaterialScriptContext.html#c5d56f2bd830b49be1f22d86ac8fb7e0">Ogre::MaterialScriptContext::lineNo</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00091">91</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d89800f3f468929055abc5e2bafc0d4d"></a><!-- doxytag: member="Ogre::MaterialScriptContext::filename" ref="d89800f3f468929055abc5e2bafc0d4d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1MaterialScriptContext.html#d89800f3f468929055abc5e2bafc0d4d">Ogre::MaterialScriptContext::filename</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00092">92</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3c2c6c2dca3a9d723be0c0a36113c3ab"></a><!-- doxytag: member="Ogre::MaterialScriptContext::textureAliases" ref="3c2c6c2dca3a9d723be0c0a36113c3ab" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#5dafc9e68bde8099ec5ad6c94e4cf19b">AliasTextureNamePairList</a> <a class="el" href="structOgre_1_1MaterialScriptContext.html#3c2c6c2dca3a9d723be0c0a36113c3ab">Ogre::MaterialScriptContext::textureAliases</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreMaterialSerializer_8h-source.html#l00093">93</a> of file <a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreMaterialSerializer_8h-source.html">OgreMaterialSerializer.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:28 2008
</p>
</body>
</html>
